Debian Bug report logs - #577011
perl: FTBFS in experimental: CPANPLUS test failures

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Thu, 8 Apr 2010 21:27:02 UTC

Severity: important

Found in version perl/5.12.0~rc3-1

Fixed in version perl/5.12.0-1

Done: Niko Tyni <ntyni@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#577011; Package perl. (Thu, 08 Apr 2010 21:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. (Thu, 08 Apr 2010 21:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: perl: FTBFS in experimental: CPANPLUS test failures
Date: Fri, 9 Apr 2010 00:22:55 +0300
Package: perl
Version: 5.12.0~rc3-1
Severity: important

All the buildds failed because CPANPLUS tests report

Undefined subroutine &CPANPLUS::Internals::Utils::cwd called at /build/buildd-perl_5.12.0~rc3-1-alpha-RuHLsw/perl-5.12.0~rc3/cpan/CPANPLUS-Dist-Build/../../lib/CPANPLUS/Internals/Utils.pm line 393.
Compilation failed in require at /build/buildd-perl_5.12.0~rc3-1-alpha-RuHLsw/perl-5.12.0~rc3/cpan/CPANPLUS-Dist-Build/../../lib/CPANPLUS/Configure.pm line 7.
BEGIN failed--compilation aborted at /build/buildd-perl_5.12.0~rc3-1-alpha-RuHLsw/perl-5.12.0~rc3/cpan/CPANPLUS-Dist-Build/../../lib/CPANPLUS/Configure.pm line 7.
Compilation failed in require at /build/buildd-perl_5.12.0~rc3-1-alpha-RuHLsw/perl-5.12.0~rc3/cpan/CPANPLUS-Dist-Build/t/inc/conf.pl line 79.
BEGIN failed--compilation aborted at /build/buildd-perl_5.12.0~rc3-1-alpha-RuHLsw/perl-5.12.0~rc3/cpan/CPANPLUS-Dist-Build/t/inc/conf.pl line 79.
Compilation failed in require at t/01_CPANPLUS-Dist-Build-Constants.t line 4.
BEGIN failed--compilation aborted at t/01_CPANPLUS-Dist-Build-Constants.t line 5.
cpan/CPANPLUS-Dist-Build/t/01_CPANPLUS-Dist-Build-Constants....FAILED--no leader found

Quoting myself in http://lists.debian.org/debian-perl/2010/04/msg00024.html :

> Well, for starters it would be great if somebody could figure out
> why 5.12.0~rc3-1 fails to build on all the experimental buildds
> when it built fine for me on amd64 / cowbuilder.
> 
> [rt.cpan.org #52988] is very much related, but I don't understand yet
> why nobody else (including me) is seeing this with the core build.
> 
> The shortcut in
>  debian/patches/debian/cpanplus_config_path.diff
> might cause Cwd to get loaded later than normal, and it looks like
>  debian/patches/debian/cpanplus_definstalldirs.diff
> puts CPANPLUS::Config::System into a wrong source directory (which is
> a bug), but there's still something missing in the puzzle.
 
Will keep looking.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#577011; Package perl. (Thu, 08 Apr 2010 21:57:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Thu, 08 Apr 2010 21:57:14 GMT) Full text and rfc822 format available.

Message #10 received at 577011@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: perl5-porters@perl.org
Cc: 577011@bugs.debian.org
Subject: 5.12.0-RC4: CPANPLUS test failures with a nonexistent HOME
Date: Fri, 9 Apr 2010 00:53:06 +0300
Hi,

summary: the CPANPLUS test suite is failing on RC4 due to [rt.cpan.org #52988]
(fixed in CPANPLUS-0.9001) when $ENV{HOME} doesn't exist.

Not sure if this is a stopper. I can certainly work around it just
for Debian.

To reproduce:

$ HOME=/nonexistent make all test


Longer story:

As seen at
 https://buildd.debian.org/pkg.cgi?pkg=perl&maint=&dist=experimental
 http://bugs.debian.org/577011

all the Debian autobuilders failed to build 5.12.0-RC3 packages with
the same errors:

Undefined subroutine &CPANPLUS::Internals::Utils::cwd called at /build/buildd-perl_5.12.0~rc3-1-alpha-RuHL
sw/perl-5.12.0~rc3/cpan/CPANPLUS-Dist-Build/../../lib/CPANPLUS/Internals/Utils.pm line 393.
Compilation failed in require at /build/buildd-perl_5.12.0~rc3-1-alpha-RuHLsw/perl-5.12.0~rc3/cpan/CPANPLU
S-Dist-Build/../../lib/CPANPLUS/Configure.pm line 7.
BEGIN failed--compilation aborted at /build/buildd-perl_5.12.0~rc3-1-alpha-RuHLsw/perl-5.12.0~rc3/cpan/CPA
NPLUS-Dist-Build/../../lib/CPANPLUS/Configure.pm line 7.
Compilation failed in require at /build/buildd-perl_5.12.0~rc3-1-alpha-RuHLsw/perl-5.12.0~rc3/cpan/CPANPLU
S-Dist-Build/t/inc/conf.pl line 79.
BEGIN failed--compilation aborted at /build/buildd-perl_5.12.0~rc3-1-alpha-RuHLsw/perl-5.12.0~rc3/cpan/CPA
NPLUS-Dist-Build/t/inc/conf.pl line 79.
Compilation failed in require at t/01_CPANPLUS-Dist-Build-Constants.t line 4.
BEGIN failed--compilation aborted at t/01_CPANPLUS-Dist-Build-Constants.t line 5.
cpan/CPANPLUS-Dist-Build/t/01_CPANPLUS-Dist-Build-Constants....FAILED--no leader found

[...]

Failed 20 tests out of 1730, 98.84% okay.
### Since not all tests were successful, you may want to run some of
### them individually and examine any diagnostic messages they produce.
### See the INSTALL document's section on "make test".
### You have a good chance to get more information by running
###   ./perl harness
### in the 't' directory since most (>=80%) of the tests succeeded.
t/porting/test_bootstrap.......................................ok
    ../cpan/CPANPLUS-Dist-Build/t/01_CPANPLUS-Dist-Build-Constants.t
    ../cpan/CPANPLUS-Dist-Build/t/02_CPANPLUS-Dist-Build.t
    ../cpan/CPANPLUS/t/00_CPANPLUS-Internals-Utils.t
    ../cpan/CPANPLUS/t/01_CPANPLUS-Configure.t
    ../cpan/CPANPLUS/t/02_CPANPLUS-Internals.t
    ../cpan/CPANPLUS/t/03_CPANPLUS-Internals-Source.t
    ../cpan/CPANPLUS/t/04_CPANPLUS-Module.t
    ../cpan/CPANPLUS/t/05_CPANPLUS-Internals-Fetch.t
    ../cpan/CPANPLUS/t/06_CPANPLUS-Internals-Constants.t
    ../cpan/CPANPLUS/t/07_CPANPLUS-Internals-Extract.t
    ../cpan/CPANPLUS/t/08_CPANPLUS-Backend.t
    ../cpan/CPANPLUS/t/09_CPANPLUS-Internals-Search.t
    ../cpan/CPANPLUS/t/10_CPANPLUS-Error.t
    ../cpan/CPANPLUS/t/15_CPANPLUS-Shell.t
    ../cpan/CPANPLUS/t/19_CPANPLUS-Dist.t
    ../cpan/CPANPLUS/t/20_CPANPLUS-Dist-MM.t
    ../cpan/CPANPLUS/t/21_CPANPLUS-Dist-No-Build.t
    ../cpan/CPANPLUS/t/25_CPANPLUS.t
    ../cpan/CPANPLUS/t/30_CPANPLUS-Internals-Selfupdate.t
    ../cpan/CPANPLUS/t/40_CPANPLUS-Internals-Report.t

This is because HOME is set to a nonexistent directory on those systems
(in order to find bugs in packages that rely on $HOME contents).
The problem is fixed in 0.9001:

 http://rt.cpan.org/Public/Bug/Display.html?id=52988
 http://search.cpan.org/diff?from=CPANPLUS-0.90&to=CPANPLUS-0.9001&w=1#lib/CPANPLUS/Internals/Utils.pm

I can reproduce this with a pristine RC4 from the git repository and
$ HOME=/nonexistent make all test
-- 
Niko Tyni   ntyni@debian.org




Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. (Fri, 16 Apr 2010 22:21:13 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Fri, 16 Apr 2010 22:21:13 GMT) Full text and rfc822 format available.

Message #15 received at 577011-close@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 577011-close@bugs.debian.org
Subject: Bug#577011: fixed in perl 5.12.0-1
Date: Fri, 16 Apr 2010 22:18:25 +0000
Source: perl
Source-Version: 5.12.0-1

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.12.0-1_all.deb
  to main/p/perl/libcgi-fast-perl_5.12.0-1_all.deb
libperl-dev_5.12.0-1_amd64.deb
  to main/p/perl/libperl-dev_5.12.0-1_amd64.deb
libperl5.12_5.12.0-1_amd64.deb
  to main/p/perl/libperl5.12_5.12.0-1_amd64.deb
perl-base_5.12.0-1_amd64.deb
  to main/p/perl/perl-base_5.12.0-1_amd64.deb
perl-debug_5.12.0-1_amd64.deb
  to main/p/perl/perl-debug_5.12.0-1_amd64.deb
perl-doc_5.12.0-1_all.deb
  to main/p/perl/perl-doc_5.12.0-1_all.deb
perl-modules_5.12.0-1_all.deb
  to main/p/perl/perl-modules_5.12.0-1_all.deb
perl_5.12.0-1.debian.tar.gz
  to main/p/perl/perl_5.12.0-1.debian.tar.gz
perl_5.12.0-1.dsc
  to main/p/perl/perl_5.12.0-1.dsc
perl_5.12.0-1_amd64.deb
  to main/p/perl/perl_5.12.0-1_amd64.deb
perl_5.12.0.orig.tar.bz2
  to main/p/perl/perl_5.12.0.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 577011@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niko Tyni <ntyni@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 16 Apr 2010 23:22:01 +0300
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug libperl5.12 libperl-dev perl
Architecture: source all amd64
Version: 5.12.0-1
Distribution: experimental
Urgency: low
Maintainer: Niko Tyni <ntyni@debian.org>
Changed-By: Niko Tyni <ntyni@debian.org>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.12 - shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
Closes: 77707 304143 513935 558147 577011 577016 577018
Changes: 
 perl (5.12.0-1) experimental; urgency=low
 .
   * New upstream release.
     + POD markup in the NAME section is now suppressed by podlators,
       fixing garbled whatis information for perlpacktut. (Closes: #304143)
     + "runaway format" errors have been removed. (Closes: #77707)
     + Pod::Perldoc no longer generates broken markup for the last perlfunc
       and perlvar entries. (Closes: #558147)
     + Data::Dumper no longer crashes on an invalid push call.
       (Closes: #513935)
   * Move CPANPLUS::Config::System to the right source directory.
   * Fix CPANPLUS test failures when $HOME does not exist. (Closes: #577011)
   * Build-Conflict with libfile-sharedir-perl to avoid Module-Build test
     failures due to ABI incompatibilities. (Closes: #577018)
   * Point Vcs-* fields to the experimental git repository.
   * Set -Dusemorebits on all architectures to support long doubles.
     + apparently fixes use64bitint test failures on sparc. (Closes: #577016)
Checksums-Sha1: 
 6f30356ef8bf1906e8a82d18f430b277fb2f9e67 1396 perl_5.12.0-1.dsc
 f533687077e2da113b48a6c5e578f4a206fbf173 12304454 perl_5.12.0.orig.tar.bz2
 d69a07157d002af3c4c79f59dd7c3ec37998cec4 78471 perl_5.12.0-1.debian.tar.gz
 b92d03ef41d0f5148c35aee7483d68531aaaf09a 52810 libcgi-fast-perl_5.12.0-1_all.deb
 1a680735717fd9f3a550bc36d46939a5ae624d45 7513240 perl-doc_5.12.0-1_all.deb
 ccdb1d4dee5601392610e3bc6147c59b0df8be10 4746842 perl-modules_5.12.0-1_all.deb
 aafafbf70f1a181fd7a9934084005e4407be72d4 1478088 perl-base_5.12.0-1_amd64.deb
 477573030d8065d788c446f16ef4eb1e6aa99178 5869948 perl-debug_5.12.0-1_amd64.deb
 2de303b5fefc0f31bd441a97f72f10dc86f6bf6e 1150 libperl5.12_5.12.0-1_amd64.deb
 4c8101a7786eda3594d9eab0b4fdc44244770eeb 2569884 libperl-dev_5.12.0-1_amd64.deb
 fb12d5cf91b45a007b827033cd45317c9734e721 4216046 perl_5.12.0-1_amd64.deb
Checksums-Sha256: 
 d41ed62ae13c6e18e1459d95f0c0853cf0c55e805fe54b4e3f95b3aca0a543a5 1396 perl_5.12.0-1.dsc
 93de36dfc7059b2d87ac98c780ebabd50d8f900d5c152a14d9211e8c2330ad41 12304454 perl_5.12.0.orig.tar.bz2
 36c3dabbe0dfe5cf7e5781295c14e60b1ac6846ef9381607452d1a63859e7751 78471 perl_5.12.0-1.debian.tar.gz
 b3332f4b9e18f7f8a0f0410318946f147481e16c5499d4c4f603ad22623e0a15 52810 libcgi-fast-perl_5.12.0-1_all.deb
 859bbe3f4e9f6998977bda11b3bb33df05c3a534a731a0dc67822aaf6488cb6a 7513240 perl-doc_5.12.0-1_all.deb
 cc10b41a0625e8f1b39494e419b484c8b0031b5a65853f9c3b2cb0b06907e2f8 4746842 perl-modules_5.12.0-1_all.deb
 4cbe9932d2b18e05f17ce071c5317def2033f3d566f11ea0694fc4a379795f99 1478088 perl-base_5.12.0-1_amd64.deb
 9822235b8b80530f2424c84db6e526c1d59cf572fb1cb84141834cecf2e8096a 5869948 perl-debug_5.12.0-1_amd64.deb
 ed7e76fb13922581f8650989174abb544456fd2c610fc42d6e965a5b1d18d196 1150 libperl5.12_5.12.0-1_amd64.deb
 533fc2e12d789755c008141e9cf7d000ff9d7e62589b61471bf884cb8834da93 2569884 libperl-dev_5.12.0-1_amd64.deb
 70adddc63a54e5b2c49a4214dc215d87d1041fb3a22a74468c48f3b83d62a7fc 4216046 perl_5.12.0-1_amd64.deb
Files: 
 8f74c1cf8c23d8d194e3d646605e70b8 1396 perl standard perl_5.12.0-1.dsc
 3e15696f4160775a90f6b2fb3ccc98c2 12304454 perl standard perl_5.12.0.orig.tar.bz2
 414ea9e0654943b0fa518c78ca490891 78471 perl standard perl_5.12.0-1.debian.tar.gz
 7257e9befc3de37592a9875b3bd41522 52810 perl optional libcgi-fast-perl_5.12.0-1_all.deb
 eedc26589904608df1f65c60bed8d900 7513240 doc optional perl-doc_5.12.0-1_all.deb
 b0d958b77addc6528d4757a4ec437f10 4746842 perl standard perl-modules_5.12.0-1_all.deb
 c342afda3d48020b54b16918103e8ce4 1478088 perl required perl-base_5.12.0-1_amd64.deb
 1b99c02b849c2a9cede858713799eb5c 5869948 debug extra perl-debug_5.12.0-1_amd64.deb
 1343aa30aa05eb958866f3ba80a9c5fb 1150 libs optional libperl5.12_5.12.0-1_amd64.deb
 31368960df125f4221911e35c9bc7b0c 2569884 libdevel optional libperl-dev_5.12.0-1_amd64.deb
 ddfe81529f401c4445edc517ca9bc563 4216046 perl standard perl_5.12.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvI0bAACgkQiyizGWoHLTkj/ACgxym73kKgi4iPNPOL+nm5fZGQ
ykMAnRhKYZqoVSMyBIMtp0Ia1vHhyO5q
=ROSw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 15 May 2010 07:31:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:11:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.